GNU logs - #41791, boring messages


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#41791: [Shepherd] loses track of Tor
Resent-From: Tobias Geerinckx-Rice <me@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Wed, 10 Jun 2020 15:21:02 +0000
Resent-Message-ID: <handler.41791.B.15918024114336 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 41791
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: 41791 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-guix@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.15918024114336
          (code B ref -1); Wed, 10 Jun 2020 15:21:02 +0000
Received: (at submit) by debbugs.gnu.org; 10 Jun 2020 15:20:11 +0000
Received: from localhost ([127.0.0.1]:35115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jj2WR-00017r-LF
	for submit <at> debbugs.gnu.org; Wed, 10 Jun 2020 11:20:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:47204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1jj2WQ-00017k-AA
 for submit <at> debbugs.gnu.org; Wed, 10 Jun 2020 11:20:10 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40102)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1jj2WP-0000z5-SI
 for bug-guix@HIDDEN; Wed, 10 Jun 2020 11:20:10 -0400
Received: from tobias.gr ([2a02:c205:2020:6054::1]:45350)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1jj2WO-0002UD-AY
 for bug-guix@HIDDEN; Wed, 10 Jun 2020 11:20:09 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 411c8089
 for <bug-guix@HIDDEN>; Wed, 10 Jun 2020 15:20:11 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to
 :subject:date:message-id:mime-version:content-type; s=2018; i=
 me@HIDDEN; bh=/28TER5ikBR7zPLAOGLVV4Sx4DWHNYDOSDOLmnBCi6s=; b=
 grJUkVd6c+fmtM+iiwAGldTCYAogtcZJJqxfeZLEORDMjfOsIVhd9HEIGBr/RL8Y
 21X3a6MIKT/zAuCTApgk1zCkjIzepMxfGPLxiYmHUPu4oSn9yyrx7KqToezBhpoW
 /wMCVfVsWMssGsO5YkNIB/wyIcEdQ2jtsPl2qZ1+ijO4oOklMVIwKRhilqjIx8zz
 9J/dizJOr6nv241yGVAI89wO2umuo4VGrev2r9mgRNQenMsEE2CMUnccyS4fvEI+
 ag4qhT5T4wuf4aUNpLIw6u1cUzO1ZT/OADQrBHVtnxUbHxEekh+TWv2JXuMCSO9n
 xIUH1NzXOnxak00EWPUfTw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 1227893c
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO) for <bug-guix@HIDDEN>;
 Wed, 10 Jun 2020 15:20:11 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
Date: Wed, 10 Jun 2020 17:20:01 +0200
Message-ID: <87v9jzq76m.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

All,

=2D-8<---------------cut here---------------start------------->8---
~ =CE=BB while :; do sudo herd restart tor; done
Service tor is not running.
Service tor has been started.
Service tor has been stopped.
Service tor could not be started.
Service tor is not running.
Service tor could not be started.
^C
~ =CE=BB pgrep tor
22926
23004
=2D-8<---------------cut here---------------end--------------->8---

This has (this year) happened to nginx in tight edit.conf/restart=20
loops too, but I can't say if the two are at all related.

Here's the output of =E2=80=98herd status=E2=80=99 but it's not very useful=
 to me:

=2D-8<---------------cut here---------------start------------->8---
=CE=BB sudo herd status
Started:
 + dovecot
 + file-system-/dev/pts
 + file-system-/dev/shm
 + file-system-/gnu/store
 + file-systems
 + guix-daemon
 + loopback
 + mcron
 + networking
 + nginx
 + root
 + root-file-system
 + smtpd
 + ssh-daemon
 + syslogd
 + term-tty1
 + udev
 + urandom-seed
 + user-file-systems
 + user-processes
 + virtual-terminal
Stopped:
 - tor
One-shot:
 * host-name
 * user-homes
=2D-8<---------------cut here---------------end--------------->8---

He looks guilty:

=2D-8<---------------cut here---------------start------------->8---
=CE=BB sudo cat /var/run/tor/tor.pid
cat: /var/run/tor/tor.pid: No such file or directory
=2D-8<---------------cut here---------------end--------------->8---

From=20ps auxwww:

=2D-8<---------------cut here---------------start------------->8---
~ =CE=BB head -n6 /gnu/store/5ivhkbd0pzhnnmk38yn7cygcyd02kkk5-torrc
### These lines were generated from your system configuration:
User tor
DataDirectory /var/lib/tor
PidFile /var/run/tor/tor.pid
Log notice syslog
### End of automatically generated lines.
=2D-8<---------------cut here---------------end--------------->8---

No contradictory lines added.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXuD6IQAKCRANsP+IT1Vt
eQedAP9vnibaH14h2+oarcF0SSwPnB4FhrWINmEPy/nPFKGmbQEAnFneLqmT+2xH
XLqS9zVAT6F+S2VQjgoGzkZCEcXQAgY=
=rThD
-----END PGP SIGNATURE-----
--=-=-=--




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: bug#41791: Acknowledgement ([Shepherd] loses track of Tor)
Message-ID: <handler.41791.B.15918024114336.ack <at> debbugs.gnu.org>
References: <87v9jzq76m.fsf@nckx>
X-Gnu-PR-Message: ack 41791
X-Gnu-PR-Package: guix
Reply-To: 41791 <at> debbugs.gnu.org
Date: Wed, 10 Jun 2020 15:21:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-guix@HIDDEN

If you wish to submit further information on this problem, please
send it to 41791 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
41791: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D41791
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 11 Jun 2020 10:51:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 11 06:50:59 2020
Received: from localhost ([127.0.0.1]:36118 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jjKnT-0001zp-NF
	for submit <at> debbugs.gnu.org; Thu, 11 Jun 2020 06:50:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55040)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jjKnS-0001za-SX
 for control <at> debbugs.gnu.org; Thu, 11 Jun 2020 06:50:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59381)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>) id 1jjKnN-0007Lm-Ip
 for control <at> debbugs.gnu.org; Thu, 11 Jun 2020 06:50:53 -0400
Received: from [2a01:e0a:1d:7270:6a6c:dc17:fc02:cfda] (port=58096 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>) id 1jjKnL-000499-Jj
 for control <at> debbugs.gnu.org; Thu, 11 Jun 2020 06:50:53 -0400
Date: Thu, 11 Jun 2020 12:50:48 +0200
Message-Id: <87lfktc1vb.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Subject: control message for bug #41791
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

severity 41791 important
quit





Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: bug#41791: closed ([Shepherd] loses track of Tor)
CC: tracker <at> debbugs.gnu.org
Message-ID: <handler.41791.D41791.159191353613861.ackdone <at> debbugs.gnu.org>
References: <87tuzh8d7a.fsf@HIDDEN> <87v9jzq76m.fsf@nckx>
X-Gnu-PR-Message: closed 41791
X-Gnu-PR-Package: guix
Date: Thu, 11 Jun 2020 22:13:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1591913582-13923-0"

This is a multi-part message in MIME format...

------------=_1591913582-13923-0
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=utf-8

Your message dated Fri, 12 Jun 2020 00:11:53 +0200
with message-id <87tuzh8d7a.fsf@HIDDEN>
and subject line Re: bug#41791: [Shepherd] loses track of Tor
has caused the debbugs.gnu.org bug report #41791,
regarding [Shepherd] loses track of Tor
to be marked as done.

(If you believe you have received this mail in error, please contact
help-debbugs@HIDDEN)


--=20
41791: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D41791
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1591913582-13923-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 10 Jun 2020 15:20:11 +0000
Received: from localhost ([127.0.0.1]:35115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jj2WR-00017r-LF
	for submit <at> debbugs.gnu.org; Wed, 10 Jun 2020 11:20:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:47204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1jj2WQ-00017k-AA
 for submit <at> debbugs.gnu.org; Wed, 10 Jun 2020 11:20:10 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40102)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1jj2WP-0000z5-SI
 for bug-guix@HIDDEN; Wed, 10 Jun 2020 11:20:10 -0400
Received: from tobias.gr ([2a02:c205:2020:6054::1]:45350)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1jj2WO-0002UD-AY
 for bug-guix@HIDDEN; Wed, 10 Jun 2020 11:20:09 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 411c8089
 for <bug-guix@HIDDEN>; Wed, 10 Jun 2020 15:20:11 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to
 :subject:date:message-id:mime-version:content-type; s=2018; i=
 me@HIDDEN; bh=/28TER5ikBR7zPLAOGLVV4Sx4DWHNYDOSDOLmnBCi6s=; b=
 grJUkVd6c+fmtM+iiwAGldTCYAogtcZJJqxfeZLEORDMjfOsIVhd9HEIGBr/RL8Y
 21X3a6MIKT/zAuCTApgk1zCkjIzepMxfGPLxiYmHUPu4oSn9yyrx7KqToezBhpoW
 /wMCVfVsWMssGsO5YkNIB/wyIcEdQ2jtsPl2qZ1+ijO4oOklMVIwKRhilqjIx8zz
 9J/dizJOr6nv241yGVAI89wO2umuo4VGrev2r9mgRNQenMsEE2CMUnccyS4fvEI+
 ag4qhT5T4wuf4aUNpLIw6u1cUzO1ZT/OADQrBHVtnxUbHxEekh+TWv2JXuMCSO9n
 xIUH1NzXOnxak00EWPUfTw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 1227893c
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO) for <bug-guix@HIDDEN>;
 Wed, 10 Jun 2020 15:20:11 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: bug-guix@HIDDEN
Subject: [Shepherd] loses track of Tor
Date: Wed, 10 Jun 2020 17:20:01 +0200
Message-ID: <87v9jzq76m.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

All,

=2D-8<---------------cut here---------------start------------->8---
~ =CE=BB while :; do sudo herd restart tor; done
Service tor is not running.
Service tor has been started.
Service tor has been stopped.
Service tor could not be started.
Service tor is not running.
Service tor could not be started.
^C
~ =CE=BB pgrep tor
22926
23004
=2D-8<---------------cut here---------------end--------------->8---

This has (this year) happened to nginx in tight edit.conf/restart=20
loops too, but I can't say if the two are at all related.

Here's the output of =E2=80=98herd status=E2=80=99 but it's not very useful=
 to me:

=2D-8<---------------cut here---------------start------------->8---
=CE=BB sudo herd status
Started:
 + dovecot
 + file-system-/dev/pts
 + file-system-/dev/shm
 + file-system-/gnu/store
 + file-systems
 + guix-daemon
 + loopback
 + mcron
 + networking
 + nginx
 + root
 + root-file-system
 + smtpd
 + ssh-daemon
 + syslogd
 + term-tty1
 + udev
 + urandom-seed
 + user-file-systems
 + user-processes
 + virtual-terminal
Stopped:
 - tor
One-shot:
 * host-name
 * user-homes
=2D-8<---------------cut here---------------end--------------->8---

He looks guilty:

=2D-8<---------------cut here---------------start------------->8---
=CE=BB sudo cat /var/run/tor/tor.pid
cat: /var/run/tor/tor.pid: No such file or directory
=2D-8<---------------cut here---------------end--------------->8---

From=20ps auxwww:

=2D-8<---------------cut here---------------start------------->8---
~ =CE=BB head -n6 /gnu/store/5ivhkbd0pzhnnmk38yn7cygcyd02kkk5-torrc
### These lines were generated from your system configuration:
User tor
DataDirectory /var/lib/tor
PidFile /var/run/tor/tor.pid
Log notice syslog
### End of automatically generated lines.
=2D-8<---------------cut here---------------end--------------->8---

No contradictory lines added.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXuD6IQAKCRANsP+IT1Vt
eQedAP9vnibaH14h2+oarcF0SSwPnB4FhrWINmEPy/nPFKGmbQEAnFneLqmT+2xH
XLqS9zVAT6F+S2VQjgoGzkZCEcXQAgY=
=rThD
-----END PGP SIGNATURE-----
--=-=-=--



------------=_1591913582-13923-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 41791-done) by debbugs.gnu.org; 11 Jun 2020 22:12:16 +0000
Received: from localhost ([127.0.0.1]:38322 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jjVQi-0003bR-Ec
	for submit <at> debbugs.gnu.org; Thu, 11 Jun 2020 18:12:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jjVQh-0003bG-0w
 for 41791-done <at> debbugs.gnu.org; Thu, 11 Jun 2020 18:12:11 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42200)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1jjVQb-00005J-QN; Thu, 11 Jun 2020 18:12:05 -0400
Received: from [2a01:e0a:1d:7270:6a6c:dc17:fc02:cfda] (port=52578 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jjVQS-0003qW-HS; Thu, 11 Jun 2020 18:12:05 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#41791: [Shepherd] loses track of Tor
References: <87v9jzq76m.fsf@nckx>
Date: Fri, 12 Jun 2020 00:11:53 +0200
In-Reply-To: <87v9jzq76m.fsf@nckx> (Tobias Geerinckx-Rice's message of "Wed,
 10 Jun 2020 17:20:01 +0200")
Message-ID: <87tuzh8d7a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41791-done
Cc: 41791-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Tobias,

Tobias Geerinckx-Rice <me@HIDDEN> skribis:

> ~ =CE=BB while :; do sudo herd restart tor; done
> Service tor is not running.
> Service tor has been started.
> Service tor has been stopped.
> Service tor could not be started.
> Service tor is not running.
> Service tor could not be started.
> ^C
> ~ =CE=BB pgrep tor
> 22926
> 23004

Oops, this one is fixed by b6b95685d0b478698d648f13afd927b1e1700d99.
It=E2=80=99s a regression introduced when switching to the Shepherd 0.8.1.

> This has (this year) happened to nginx in tight edit.conf/restart=20
> loops too, but I can't say if the two are at all related.

The nginx issue may be different.  The Shepherd 0.8.0 included fixes
that should help for multi-process services like nginx.  Let me know if
it happens again.

Thanks for reporting the issue=E2=80=A6 and apologies for grumpily pushing =
you
to do so on IRC.  It=E2=80=99s a positive outcome at any rate!

Ludo=E2=80=99.


------------=_1591913582-13923-0--


Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: bug#41791: closed (Re: bug#41791: [Shepherd] loses track of Tor)
Message-ID: <handler.41791.D41791.159191353613861.notifdone <at> debbugs.gnu.org>
References: <87tuzh8d7a.fsf@HIDDEN> <87v9jzq76m.fsf@nckx>
X-Gnu-PR-Message: they-closed 41791
X-Gnu-PR-Package: guix
Reply-To: 41791 <at> debbugs.gnu.org
Date: Thu, 11 Jun 2020 22:13:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1591913582-13923-1"

This is a multi-part message in MIME format...

------------=_1591913582-13923-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"

Your bug report

#41791: [Shepherd] loses track of Tor

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to 41791 <at> debbugs.gnu.org.

--=20
41791: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D41791
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1591913582-13923-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 41791-done) by debbugs.gnu.org; 11 Jun 2020 22:12:16 +0000
Received: from localhost ([127.0.0.1]:38322 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jjVQi-0003bR-Ec
	for submit <at> debbugs.gnu.org; Thu, 11 Jun 2020 18:12:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jjVQh-0003bG-0w
 for 41791-done <at> debbugs.gnu.org; Thu, 11 Jun 2020 18:12:11 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42200)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1jjVQb-00005J-QN; Thu, 11 Jun 2020 18:12:05 -0400
Received: from [2a01:e0a:1d:7270:6a6c:dc17:fc02:cfda] (port=52578 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jjVQS-0003qW-HS; Thu, 11 Jun 2020 18:12:05 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#41791: [Shepherd] loses track of Tor
References: <87v9jzq76m.fsf@nckx>
Date: Fri, 12 Jun 2020 00:11:53 +0200
In-Reply-To: <87v9jzq76m.fsf@nckx> (Tobias Geerinckx-Rice's message of "Wed,
 10 Jun 2020 17:20:01 +0200")
Message-ID: <87tuzh8d7a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 41791-done
Cc: 41791-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Tobias,

Tobias Geerinckx-Rice <me@HIDDEN> skribis:

> ~ =CE=BB while :; do sudo herd restart tor; done
> Service tor is not running.
> Service tor has been started.
> Service tor has been stopped.
> Service tor could not be started.
> Service tor is not running.
> Service tor could not be started.
> ^C
> ~ =CE=BB pgrep tor
> 22926
> 23004

Oops, this one is fixed by b6b95685d0b478698d648f13afd927b1e1700d99.
It=E2=80=99s a regression introduced when switching to the Shepherd 0.8.1.

> This has (this year) happened to nginx in tight edit.conf/restart=20
> loops too, but I can't say if the two are at all related.

The nginx issue may be different.  The Shepherd 0.8.0 included fixes
that should help for multi-process services like nginx.  Let me know if
it happens again.

Thanks for reporting the issue=E2=80=A6 and apologies for grumpily pushing =
you
to do so on IRC.  It=E2=80=99s a positive outcome at any rate!

Ludo=E2=80=99.


------------=_1591913582-13923-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 10 Jun 2020 15:20:11 +0000
Received: from localhost ([127.0.0.1]:35115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jj2WR-00017r-LF
	for submit <at> debbugs.gnu.org; Wed, 10 Jun 2020 11:20:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:47204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1jj2WQ-00017k-AA
 for submit <at> debbugs.gnu.org; Wed, 10 Jun 2020 11:20:10 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40102)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1jj2WP-0000z5-SI
 for bug-guix@HIDDEN; Wed, 10 Jun 2020 11:20:10 -0400
Received: from tobias.gr ([2a02:c205:2020:6054::1]:45350)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1jj2WO-0002UD-AY
 for bug-guix@HIDDEN; Wed, 10 Jun 2020 11:20:09 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 411c8089
 for <bug-guix@HIDDEN>; Wed, 10 Jun 2020 15:20:11 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to
 :subject:date:message-id:mime-version:content-type; s=2018; i=
 me@HIDDEN; bh=/28TER5ikBR7zPLAOGLVV4Sx4DWHNYDOSDOLmnBCi6s=; b=
 grJUkVd6c+fmtM+iiwAGldTCYAogtcZJJqxfeZLEORDMjfOsIVhd9HEIGBr/RL8Y
 21X3a6MIKT/zAuCTApgk1zCkjIzepMxfGPLxiYmHUPu4oSn9yyrx7KqToezBhpoW
 /wMCVfVsWMssGsO5YkNIB/wyIcEdQ2jtsPl2qZ1+ijO4oOklMVIwKRhilqjIx8zz
 9J/dizJOr6nv241yGVAI89wO2umuo4VGrev2r9mgRNQenMsEE2CMUnccyS4fvEI+
 ag4qhT5T4wuf4aUNpLIw6u1cUzO1ZT/OADQrBHVtnxUbHxEekh+TWv2JXuMCSO9n
 xIUH1NzXOnxak00EWPUfTw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 1227893c
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO) for <bug-guix@HIDDEN>;
 Wed, 10 Jun 2020 15:20:11 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: bug-guix@HIDDEN
Subject: [Shepherd] loses track of Tor
Date: Wed, 10 Jun 2020 17:20:01 +0200
Message-ID: <87v9jzq76m.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

All,

=2D-8<---------------cut here---------------start------------->8---
~ =CE=BB while :; do sudo herd restart tor; done
Service tor is not running.
Service tor has been started.
Service tor has been stopped.
Service tor could not be started.
Service tor is not running.
Service tor could not be started.
^C
~ =CE=BB pgrep tor
22926
23004
=2D-8<---------------cut here---------------end--------------->8---

This has (this year) happened to nginx in tight edit.conf/restart=20
loops too, but I can't say if the two are at all related.

Here's the output of =E2=80=98herd status=E2=80=99 but it's not very useful=
 to me:

=2D-8<---------------cut here---------------start------------->8---
=CE=BB sudo herd status
Started:
 + dovecot
 + file-system-/dev/pts
 + file-system-/dev/shm
 + file-system-/gnu/store
 + file-systems
 + guix-daemon
 + loopback
 + mcron
 + networking
 + nginx
 + root
 + root-file-system
 + smtpd
 + ssh-daemon
 + syslogd
 + term-tty1
 + udev
 + urandom-seed
 + user-file-systems
 + user-processes
 + virtual-terminal
Stopped:
 - tor
One-shot:
 * host-name
 * user-homes
=2D-8<---------------cut here---------------end--------------->8---

He looks guilty:

=2D-8<---------------cut here---------------start------------->8---
=CE=BB sudo cat /var/run/tor/tor.pid
cat: /var/run/tor/tor.pid: No such file or directory
=2D-8<---------------cut here---------------end--------------->8---

From=20ps auxwww:

=2D-8<---------------cut here---------------start------------->8---
~ =CE=BB head -n6 /gnu/store/5ivhkbd0pzhnnmk38yn7cygcyd02kkk5-torrc
### These lines were generated from your system configuration:
User tor
DataDirectory /var/lib/tor
PidFile /var/run/tor/tor.pid
Log notice syslog
### End of automatically generated lines.
=2D-8<---------------cut here---------------end--------------->8---

No contradictory lines added.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXuD6IQAKCRANsP+IT1Vt
eQedAP9vnibaH14h2+oarcF0SSwPnB4FhrWINmEPy/nPFKGmbQEAnFneLqmT+2xH
XLqS9zVAT6F+S2VQjgoGzkZCEcXQAgY=
=rThD
-----END PGP SIGNATURE-----
--=-=-=--



------------=_1591913582-13923-1--


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#41791: [Shepherd] loses track of Tor
Resent-From: Tobias Geerinckx-Rice <me@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Fri, 12 Jun 2020 12:04:02 +0000
Resent-Message-ID: <handler.41791.D41791.15919634143540 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 41791
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Cc: 41791-done <at> debbugs.gnu.org
Received: via spool by 41791-done <at> debbugs.gnu.org id=D41791.15919634143540
          (code D ref 41791); Fri, 12 Jun 2020 12:04:02 +0000
Received: (at 41791-done) by debbugs.gnu.org; 12 Jun 2020 12:03:34 +0000
Received: from localhost ([127.0.0.1]:38965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jjiPG-0000v2-9b
	for submit <at> debbugs.gnu.org; Fri, 12 Jun 2020 08:03:34 -0400
Received: from tobias.gr ([80.241.217.52]:42664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1jjiPE-0000ur-BD
 for 41791-done <at> debbugs.gnu.org; Fri, 12 Jun 2020 08:03:33 -0400
Received: by tobias.gr (OpenSMTPD) with ESMTP id 633c5d3e;
 Fri, 12 Jun 2020 12:03:39 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed; d=tobias.gr; h=from:to:cc
 :subject:references:in-reply-to:date:message-id:mime-version
 :content-type; s=2018; i=me@HIDDEN; bh=2CmHRze4Nih8KkOOq7uvTN
 jjuzf/IqDowK4eitFc57s=; b=K6/SPOCYV+Q6jABVu+uxva7IEj6NTdBYqWUQtk
 O/yFDIT1jURLqXJzoa8e0IFedqDX1S/KTD6fEhwwIjxFwuUhnf/6MlUT9/+/zYSv
 9hO8ajD4LqXTU44xndpHNzYEIXlJAXvSVdaNeox2UQx9oLZbZ9eVLHv5n/qousTr
 uaV8vXNYvja1kaTc3Hp8dVVamLEHycdMgUclNOhKEWiHRj5nnsROwIrf+Y2H+ZER
 f6TKZ5nvIkyTSgI1V10ehGYCXwN3cAWE9QwhtxdYYBPXb4vnGi+dqBTRYLkmwkcO
 IK3EUcu22SYWB0xcndbminTE+KgCSx0rHQCP3nPzH8JxZS9w==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 74168421
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Fri, 12 Jun 2020 12:03:39 +0000 (UTC)
BIMI-Selector: v=BIMI1; s=default;
From: Tobias Geerinckx-Rice <me@HIDDEN>
References: <87v9jzq76m.fsf@nckx> <87tuzh8d7a.fsf@HIDDEN>
In-reply-to: <87tuzh8d7a.fsf@HIDDEN>
Date: Fri, 12 Jun 2020 14:03:29 +0200
Message-ID: <87imfwtrse.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s =E5=86=99=E9=81=93=EF=BC=9A
> Oops, this one is fixed by=20
> b6b95685d0b478698d648f13afd927b1e1700d99.

Impressive fanservice as always.

> The nginx issue may be different.  The Shepherd 0.8.0 included=20
> fixes
> that should help for multi-process services like nginx.  Let me=20
> know if
> it happens again.

I will.  It's possible that it hasn't happened since 0.8.0.

> Thanks for reporting the issue=E2=80=A6 and apologies for grumpily=20
> pushing you
> to do so on IRC.  It=E2=80=99s a positive outcome at any rate!

The day I get to berate anyone for being grumpy will be a strange=20
day in hell.

Thanks!

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYKAB0WIQT12iAyS4c9C3o4dnINsP+IT1VteQUCXuNvEQAKCRANsP+IT1Vt
eSjtAQDf8HrQYiJexQfVXN6ZN0z7c9f651s+cFHXSCyExpZjzQD/XhHXEVTqlnV5
POOjtMwTN8S8wyjXmOiIBBlov18PFgg=
=0tYR
-----END PGP SIGNATURE-----
--=-=-=--




Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: bug archived.
Date: Sat, 11 Jul 2020 11:24:06 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# bug archived.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 28 Nov 2021 12:37:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 28 07:37:56 2021
Received: from localhost ([127.0.0.1]:35077 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mrJRM-0001SB-P5
	for submit <at> debbugs.gnu.org; Sun, 28 Nov 2021 07:37:56 -0500
Received: from tobias.gr ([80.241.217.52]:45754)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1mrJRG-0001Rz-UC
 for control <at> debbugs.gnu.org; Sun, 28 Nov 2021 07:37:55 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=l14+9YACkOahP
 ltc7B2/xEaJxc22T4VAMLi6d16Bd1k=; h=date:to:from; d=tobias.gr;
 b=EmySp9
 Mvg6GEXmG3m9XWER4n15Gad4KZh52BP7NYI7DTu44mkc25L++OCBvR/IBx3mpuujqwS2te
 e39QZu4pFDHExTp7jNVmYA1Ar0U7an+f2KtsP2vW/AUJDtVHqtR/JB1DT6aqUr3Lu01oqt
 r90vcgUnWVUu/E06DU1oQOpHrfVtDWPEsG8jGOK1YAdkQzVkqRAciIoQUSdEl1mvjRun+N
 iJy9QOXLt5w7LUOY5fqirrhIGTHTFdStw/BAlVs2EYrJMBoZZKjvQGK6Hn19K3DZrchkuX
 3EsnZfxnlJObF+A9RnBP3bn2aKKvsX6yeNF6BlgtOyX9H7hd1Ji8znhw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 0c1b213b
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO)
 for <control <at> debbugs.gnu.org>; Sun, 28 Nov 2021 12:37:46 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: GNU bug tracker automated control server <control <at> debbugs.gnu.org>
Date: Sun, 28 Nov 2021 13:35:21 +0100
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87pmqka20k.fsf@nckx>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  unarchive 41791 reopen 41791 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [80.241.217.52 listed in list.dnswl.org]
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

unarchive 41791
reopen 41791




Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: Did not alter fixed versions and reopened.
Date: Sun, 28 Nov 2021 12:38:01 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# Did not alter fixed versions and reopened.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#41791: [Shepherd] loses track of Tor
References: <87v9jzq76m.fsf@nckx>
In-Reply-To: <87v9jzq76m.fsf@nckx>
Resent-From: Tobias Geerinckx-Rice <me@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Sun, 28 Nov 2021 12:41:01 +0000
Resent-Message-ID: <handler.41791.B41791.16381032275873 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 41791
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: 41791 <at> debbugs.gnu.org
Cc: Caleb Herbert <csh@HIDDEN>, Wiktor =?UTF-8?Q?=C5=BBelazny?= <wz@HIDDEN>, Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Received: via spool by 41791-submit <at> debbugs.gnu.org id=B41791.16381032275873
          (code B ref 41791); Sun, 28 Nov 2021 12:41:01 +0000
Received: (at 41791) by debbugs.gnu.org; 28 Nov 2021 12:40:27 +0000
Received: from localhost ([127.0.0.1]:35086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mrJTn-0001Wf-Fx
	for submit <at> debbugs.gnu.org; Sun, 28 Nov 2021 07:40:27 -0500
Received: from tobias.gr ([80.241.217.52]:45760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1mrJTl-0001WX-Q8
 for 41791 <at> debbugs.gnu.org; Sun, 28 Nov 2021 07:40:26 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=8JMkM16wXntjw
 sh8B+gJK0Jxh/d7SLSHl4yeF0CecAA=; h=date:subject:cc:to:from;
 d=tobias.gr; b=ohE66uLP0GlNKTpxaKPc5nQw/IX+QhdS9+Pb4ihG27omW31qPIoBRFE
 ligEBq5601vMzp+OuE3PsnZbSl64I03R5YQkLGwP6IJlPZ+y/MK3z4DAHA97TlFvnR65Yx
 dwDf9dztwJOlGtXS/ZMBVWkRIm+1H6R4x3ypLiw8SluQE8KUHnoERDQ/zrWaJXJVdQ/Adf
 Z+5dod5M6WEMP6GA4Ov/i16MYPn25n2ghMdIBBtYhn+rTdZ0QFtfW1QHzhKnk0uLKQm7eU
 uhc1PLwlLooqBjjxIf+mqQefNPnf5850Tg8ofl78oXcTswK7TtiX90ZTEpalKjBvVM/ApG
 l9KsCRw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id c09a2c23
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Sun, 28 Nov 2021 12:40:22 +0000 (UTC)
From: Tobias Geerinckx-Rice <me@HIDDEN>
Date: Sun, 28 Nov 2021 13:39:11 +0100
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87lf18a1w7.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; format=flowed

All,

Unfortunately, this bug seems to have recropped up: 
<https://lists.gnu.org/archive/html/help-guix/2021-11/msg00126.html>.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYaN46A0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15AgoA/3/m+LN4AsoSIG6xsrDA94+9QFIr0RUNWeVSnWM2
r8R9AQC62Yi3BffgcTdSDSl8IPwUTyv+8v2eCOjTQdkSDtl9DQ==
=qNzY
-----END PGP SIGNATURE-----
--=-=-=--





Last modified: Sun, 28 Nov 2021 12:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.